% Example of creating a Cycle class
%   Pauli Simonen, Tampere University, 2023

c.time = (1:1:100)';
c.hc_ppm = 10.*ones(size(c.time));
c.co2_percent = 5.*ones(size(c.time));
c.exhFlow_m3_per_s = 1e-3.*ones(size(c.time));
c.exhFlow_m3_per_s(50:end) = 1e-2;
c.speed = NaN;
soaYield = 0.15;
endBufferLength = 600;

cycle = Cycle('A', c, soaYield, endBufferLength);

figure
plot(cycle.original.time,cycle.original.tailpipe.hc_ppm)
hold on
plot(cycle.original.time,cycle.original.cvs.hc_ppm)