function h = plotSpeedPatch(time, speed, color, varargin)
%PLOTSPEEDPATCH Plots speed as a shaded area
%   Pauli Simonen, Tampere University, 2023

isdownSampling = true;
if(isdownSampling)
    speed = speed(1:2:end);
    time = time(1:2:end);
end

if(nargin < 4)
    axH = gca;
else
    axH = varargin{1};
end

if(nargin > 4)
    error('Too many input arguments');
end

speed = speed';
time = time';

axes(axH);
% h = patch('XData',[time, fliplr(time)],'YData',[speed, zeros(size(speed))],'ZData',-1.*[ones(size(time)), ones(size(time))],'FaceColor',color,'EdgeColor','none');
h = patch('XData',[time, fliplr(time)],'YData',[speed, min(speed).*ones(size(speed))],'FaceColor',color,'EdgeColor','none');
% h = fill3([time, fliplr(time)],[speed, zeros(size(speed))],-1.*[ones(size(time)), ones(size(time))],color);

% set(axH,'SortMethod','depth');
set(axH,'Layer','top');

end

