function y = smoothsquare(duration,zeroLevel,highLevel,smoothness)
%SMOOTHSQUARE Creates a smooth square pulse
%   Pauli Simonen, Tampere University, 2023

x = (1:1:600)';
y = smoothstep(x,zeroLevel,highLevel,150,smoothness);
midPoint = 150+round(duration/2);
flipped = flipud(y(1:midPoint));
y(midPoint:midPoint+numel(flipped)-1) = flipped;
normalizedY = (y-zeroLevel)./(highLevel-zeroLevel);
startPoint = find(normalizedY > 0.001,1,'first');
if(isempty(startPoint))
    startPoint = 1;
end
startDistance = midPoint-startPoint;
y = y(startPoint:midPoint+startDistance);

end

